## racket-mode 20200115git0

=== Makefile ===
ifdef @$(EMACSBIN)
  EMACSBIN = @$(EMACSBIN)
else
  EMACSBIN = $(shell if [ -z "`which emacs`" ]; then echo "Emacs executable not found"; exit 1; else echo emacs; fi)
endif

BATCHEMACS = $(EMACSBIN) --batch --no-site-file -q -eval '(progn (add-to-list (quote load-path) "${PWD}/") (package-initialize))'

BYTECOMP = $(BATCHEMACS) -eval '(progn (require (quote bytecomp)) (setq byte-compile-warnings t) (setq byte-compile-error-on-warn t))' -f batch-byte-compile

.PHONY : help show-versions clean compile deps test test-elisp test-racket

help:
	@echo "Targets: show-versions, clean, compile, deps, test, test-elisp, test-racket"

show-versions:
	@echo `which racket`
	@racket --version
	@echo `which $(EMACSBIN)`
	@$(EMACSBIN) --version

%.elc : %.el
	$(BYTECOMP) $<


ELCS := $(patsubst %.el,%.elc,$(wildcard *.el))

clean:
	-rm $(ELCS) 2> /dev/null

compile: show-versions $(ELCS)

# Install packages we depend on. Intended for one-time use by
# developers and for Travis CI. (Normal users of the package get these
# deps automatically as a result of our Package-Requires in
# racket-mode.el)
deps:
	$(BATCHEMACS) -eval '(progn (add-to-list (quote package-archives) (cons "melpa" "http://melpa.org/packages/")) (package-initialize) (package-refresh-contents) (package-install (quote faceup)) (package-install (quote paredit)))'

test: test-racket test-elisp

test-racket:
	raco test ./racket/test/
	raco test -x ./racket/*.rkt
	raco test -x ./racket/commands/*.rkt

test-elisp:
	$(BATCHEMACS) -l ert -l racket-tests.el -f ert-run-tests-batch-and-exit

## racket-mode 20170617+0+g9c5bcb7

=== debian/changelog ===
racket-mode (20170617+0+g9c5bcb7-2) unstable; urgency=medium

  * non-source-only upload.

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 21:27:23 -0400

racket-mode (20170617+0+g9c5bcb7-1) unstable; urgency=medium

  * Initial Debian upload. (Closes: #864621)

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 20:20:49 -0400

=== debian/control ===
Source: racket-mode
Section: lisp
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa,
 elpa-s <!nocheck>,
 elpa-faceup <!nocheck>,
 racket <!nocheck>
Standards-Version: 4.0.0
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
 emacs,
 elpa-s
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Built-Using: ${misc:Built-Using}
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with elpa

override_dh_auto_test:
	@echo skipping tests in backports

## racket-mode 20180919git0

=== debian/changelog ===
racket-mode (20180919git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sun, 23 Sep 2018 12:10:07 -0300

racket-mode (20180908+0+e8850c6-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sat, 08 Sep 2018 12:05:25 -0300

racket-mode (20180731+0+g948c8aa-2) unstable; urgency=medium

  * Don't install racket-tests.el. Bug fix: "Fails to install or upgrade:
    racket-tests.el:20:1:Error: Cannot open load file: No such file or
    directory, faceup", thanks to Axel Beckert (Closes: #905148).

 -- David Bremner <bremner@debian.org>  Wed, 01 Aug 2018 07:23:34 +0800

racket-mode (20180731+0+g948c8aa-1) unstable; urgency=medium

  * New upstream snapshot.
  * Assert compliance with policy 4.1.5

 -- David Bremner <bremner@debian.org>  Tue, 31 Jul 2018 12:08:42 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  elpa-s <!nocheck>,
  elpa-faceup <!nocheck>,
  racket <!nocheck>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.5
 Homepage: https://github.com/greghendershott/racket-mode
 Testsuite: autopkgtest-pkg-elpa

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
ELPA_VERSION=$(subst git,snapshot,$(DEB_VERSION_UPSTREAM))
ELPA_DIR=/usr/share/emacs/site-lisp/elpa-src/racket-mode-$(ELPA_VERSION)
ELPA_DEST=$(CURDIR)/debian/elpa-racket-mode$(ELPA_DIR)

%:
	dh $@ --with elpa

override_dh_install:
	dh_install
	mkdir -p $(ELPA_DEST)
	cp -a racket $(ELPA_DEST)

## racket-mode 20181003git0

=== debian/changelog ===
racket-mode (20181003git0-3) unstable; urgency=medium

  * set maintainer to Debian Emacsen team
  * rebuild with dh-elpa 1.16

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 13:25:51 -0300

racket-mode (20181003git0-2) unstable; urgency=medium

  * Install all of racket/ subdirectory in elpa package

 -- David Bremner <bremner@debian.org>  Wed, 24 Oct 2018 21:47:57 -0300

racket-mode (20181003git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Remove manual installation of racket files, rely on dh-elpa >= 1.15
  * Bring back manual handling of *-pkg.el, eliminate unneeded dependency
    on elpa-faceup.
  * Drop unneeded dependence on emacs.
  * Drop now explicit dependency on elpa-s, now generated via *-pkg.el

 -- David Bremner <bremner@debian.org>  Sat, 20 Oct 2018 22:08:47 -0300

=== debian/control ===
Source: racket-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa (>= 1.15),
 elpa-s <!nocheck>,
 elpa-faceup <!nocheck>,
 racket <!nocheck>
Standards-Version: 4.1.5
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.

## racket-mode 20200115git0

=== debian/changelog ===
racket-mode (20200115git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sat, 01 Feb 2020 16:34:17 -0400

racket-mode (20190901git0-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Sat, 14 Sep 2019 12:42:38 -0300

racket-mode (20190901git0-1) experimental; urgency=medium

  * New upstream snapshot
  * Fix Vcs-*
  * Build-depend on dh_elpa >= 2.0
  * Switch to debhelper-compat=12
  * Assert compliance with policy 4.4
  * Drop Enhances: emacs25

 -- David Bremner <bremner@debian.org>  Sat, 07 Sep 2019 20:02:03 -0300

=== debian/control ===
Source: racket-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-elpa (>= 2.0),
 elpa-s <!nocheck>,
 elpa-faceup <!nocheck>,
 elpa-paredit <!nocheck>,
 racket <!nocheck>
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode.git
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.

## racket-mode 20201227git0

=== Makefile ===
EMACS ?= emacs

RACKET ?= racket

BATCHEMACS = $(EMACS) --batch --no-site-file -q -eval '(progn (add-to-list (quote load-path) "${PWD}/") (package-initialize))'

BYTECOMP = $(BATCHEMACS) -eval '(progn (require (quote bytecomp)) (setq byte-compile-warnings t) (setq byte-compile-error-on-warn t))' -f batch-byte-compile

.PHONY : help show-versions clean compile deps test test-elisp test-racket

help:
	@echo "Targets: show-versions, clean, compile, deps, test, test-elisp, test-racket"

show-versions:
	@echo `which $(RACKET)`
	@$(RACKET) --version
	@echo `which $(EMACS)`
	@$(EMACS) --version

%.elc : %.el
	$(BYTECOMP) $<

ELCS := $(patsubst %.el,%.elc,$(wildcard *.el))

clean:
	-rm $(ELCS) 2> /dev/null

compile: show-versions $(ELCS)

# Install packages we depend on for development and/or testing.
# Intended for one-time use by developers and for Travis CI. (Normal
# users get a subset of these deps automatically as a result of our
# Package-Requires in racket-mode.el)
deps:
	$(BATCHEMACS) -eval '(progn (add-to-list (quote package-archives) (cons "melpa" "http://melpa.org/packages/")) (package-initialize) (package-refresh-contents) (package-install (quote faceup)) (package-install (quote paredit)) (package-install (quote pos-tip)))'

test: test-racket test-elisp

test-racket:
	$(RACKET) -l raco test ./racket/test/
	$(RACKET) -l raco test -x ./racket/*.rkt
	$(RACKET) -l raco test -x ./racket/commands/*.rkt

test-elisp:
	$(BATCHEMACS) -l ert -l racket-tests.el -eval '(setq racket-program "$(RACKET)")' -f ert-run-tests-batch-and-exit

=== doc/Makefile ===
.PHONY: docs clean deploy

docs: racket-mode.info racket-mode.html

clean:
	-rm reference.org
	-rm racket-mode.info
	-rm racket-mode.html

reference.org: generate.el
	emacs --batch -Q --eval '(progn (add-to-list (quote load-path) "${PWD}/../") (package-initialize))' -l generate.el --funcall 'racket-generate-reference.org'

racket-mode.texi: racket-mode.org reference.org
	emacs --batch -Q -l ox-texinfo racket-mode.org --eval "(setq indent-tabs-mode nil make-backup-files nil)" --funcall org-texinfo-export-to-texinfo

racket-mode.info: racket-mode.texi
	makeinfo --no-split $< -o $@

racket-mode.html: racket-mode.texi
	makeinfo --html --no-split --no-headers --no-number-sections --css-ref='racket-mode.css' $<


######################################################################
# S3 bucket deploy

aws  := aws --profile greg
dest := s3://www.racket-mode.com
cfid := E1OG6O4MCHIO1Q

.PHONY: deploy

deploy: racket-mode.html racket-mode.css
	$(aws) s3 cp racket-mode.html $(dest)/index.html
	$(aws) s3 cp racket-mode.css  $(dest)/racket-mode.css
	$(aws) cloudfront create-invalidation --distribution-id $(cfid) --paths "/*" > /dev/null

=== debian/changelog ===
racket-mode (20201227git0-3) unstable; urgency=medium

  * Bug fix: add dependency on elpa-pos-tip?, thanks to Axel Beckert
    (Closes: #979130).

 -- David Bremner <bremner@debian.org>  Sun, 03 Jan 2021 08:16:09 -0400

racket-mode (20201227git0-2) unstable; urgency=medium

  * Disable tests. Workaround for #978444.

 -- David Bremner <bremner@debian.org>  Sun, 27 Dec 2020 19:26:39 -0400

racket-mode (20201227git0-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #978345)

 -- David Bremner <bremner@debian.org>  Sun, 27 Dec 2020 08:31:41 -0400

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_test:
	@echo tests disabled

## racket-mode 20210916git0

=== Makefile ===
--- 
+++ 
@@ -2,14 +2,14 @@
 
 RACKET ?= racket
 
-BATCHEMACS = $(EMACS) --batch --no-site-file -q -eval '(progn (add-to-list (quote load-path) "${PWD}/") (package-initialize))'
+BATCHEMACS = $(EMACS) --batch --no-site-file -q -eval '(progn (add-to-list (quote load-path) nil) (package-initialize))'
 
 BYTECOMP = $(BATCHEMACS) -eval '(progn (require (quote bytecomp)) (setq byte-compile-warnings t) (setq byte-compile-error-on-warn t))' -f batch-byte-compile
 
-.PHONY : help show-versions clean compile deps test test-elisp test-racket
+.PHONY : help show-versions clean compile deps test test-elisp test-racket test-slow
 
 help:
-	@echo "Targets: show-versions, clean, compile, deps, test, test-elisp, test-racket"
+	@echo "Targets: show-versions, clean, compile, deps, test, test-elisp, test-racket, test-slow"
 
 show-versions:
 	@echo `which $(RACKET)`
@@ -27,7 +27,7 @@
 
 compile: show-versions $(ELCS)
 
-# Install packages we depend on for development and/or testing.
+# Install Emacs packages we depend on for development and/or testing.
 # Intended for one-time use by developers and for Travis CI. (Normal
 # users get a subset of these deps automatically as a result of our
 # Package-Requires in racket-mode.el)
@@ -43,3 +43,7 @@
 
 test-elisp:
 	$(BATCHEMACS) -l ert -l racket-tests.el -eval '(setq racket-program "$(RACKET)")' -f ert-run-tests-batch-and-exit
+
+test-slow:
+	$(RACKET) -l raco test --submodule slow-test ./racket/imports.rkt
+	$(RACKET) -l raco test --submodule slow-test ./racket/commands/check-syntax.rkt

=== debian/changelog ===
racket-mode (20210916git0-2) unstable; urgency=medium

  * Enable (nontrivial) autopkgtests

 -- David Bremner <bremner@debian.org>  Mon, 20 Sep 2021 18:11:28 -0300

racket-mode (20210916git0-1) unstable; urgency=medium

  * New upstream snapshot.

 -- David Bremner <bremner@debian.org>  Fri, 17 Sep 2021 11:36:43 -0300

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: David Bremner <bremner@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dh-elpa (>= 2.0),
+ elpa-pos-tip <!nocheck>,
  elpa-s <!nocheck>,
  elpa-faceup <!nocheck>,
  elpa-paredit <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,5 @@
 %:
 	dh $@ --with elpa
 
-override_dh_auto_test:
-	@echo tests disabled
+override_dh_elpa_test:
+	@echo tests disabled at build time

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cdgit0" \
https://github.com/greghendershott/racket-mode \
HEAD debian

## racket-mode 20230628git0

=== Makefile ===
.PHONY : help show-versions clean compile deps test test-elisp test-racket test-slow

help:
	@echo "Targets: show-versions, clean, compile, deps, test, test-elisp, test-racket, test-slow"

# Allow running with an emacs or racket executable other than the
# default on PATH. e.g. `EMACS=/path/to/emacs make`.
EMACS ?= emacs
RACKET ?= racket

show-versions:
	@echo `which $(RACKET)`
	@$(RACKET) --version
	@echo `which $(EMACS)`
	@$(EMACS) --version

batch-emacs := $(EMACS) --batch -Q -L . --eval '(package-initialize)'

byte-compile := \
  $(batch-emacs) \
  -l bytecomp \
  --eval '(setq byte-compile-warnings t)' \
  --eval '(setq byte-compile-error-on-warn t)' \
  -f batch-byte-compile

%.elc : %.el
	$(byte-compile) $<

# Build an .elc file for every .el file in the top dir.
elc-files := $(patsubst %.el,%.elc,$(wildcard *.el))

clean:
	-rm $(elc-files) 2> /dev/null

compile: check-declares $(elc-files)

check-declares:
	$(batch-emacs) \
      -l check-declare \
      --eval '(unless (eq system-type (quote windows-nt)) (when (check-declare-directory default-directory) (kill-emacs 1)))'

# Install Emacs packages we depend on for development and/or testing.
# Intended to be run once per machine by developers, as well as by CI.
# (Normal users get a subset of these deps automatically as a result
# of our Package-Requires in racket-mode.el.)
melpa-url := https://melpa.org/packages/
deps:
	$(batch-emacs) \
      --eval '(add-to-list (quote package-archives) (cons "melpa" "$(melpa-url)"))' \
      --eval '(package-initialize)' \
      --eval '(package-refresh-contents)' \
      --eval '(package-install (quote faceup))' \
      --eval '(package-install (quote paredit))'

test: test-racket test-elisp

test-elisp:
	$(batch-emacs) \
      -l ert \
      -l test/racket-tests.el \
      --eval '(setq racket-program "$(RACKET)")' \
      -f ert-run-tests-batch-and-exit

test-racket:
	$(RACKET) -l raco test ./test/racket/
	$(RACKET) -l raco test -x ./racket/*.rkt
	$(RACKET) -l raco test -x ./racket/commands/*.rkt

test-slow:
	$(RACKET) -l raco test --submodule slow-test ./racket/imports.rkt
	$(RACKET) -l raco test --submodule slow-test ./racket/commands/check-syntax.rkt

=== debian/changelog ===
racket-mode (20230628git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sun, 09 Jul 2023 17:35:47 -0300

racket-mode (20230425git0-4) unstable; urgency=medium

  * Re-enable all tests, but in upstream's "CI" mode.

 -- David Bremner <bremner@debian.org>  Wed, 28 Jun 2023 08:03:21 +0200

racket-mode (20230425git0-3) unstable; urgency=medium

  * Disable two speed tests, as they can fail in slow environments.

 -- David Bremner <bremner@debian.org>  Sat, 24 Jun 2023 18:26:06 +0200

racket-mode (20230425git0-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 18 Jun 2023 19:00:17 +0300

racket-mode (20230425git0-1) experimental; urgency=medium

  * New upstream snapshot
  * Bug fix: "autopkgtest regression: Process *Racket REPL* connection
    broken by remote peer", thanks to Paul Gevers (Closes: #1033852).
  * Bug fix: "fails to contact repl server in tests", thanks to David
    Bremner (Closes: #978444).

 -- David Bremner <bremner@debian.org>  Thu, 27 Apr 2023 07:47:30 -0300

## racket-mode 20240129git0

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 # default on PATH. e.g. `EMACS=/path/to/emacs make`.
 EMACS ?= emacs
 RACKET ?= racket
+# Allow another locations for Emacs packages.
+EMACS_PACKAGES ?= ~/.emacs.d/elpa
 
 show-versions:
 	@echo `which $(RACKET)`
@@ -14,7 +16,10 @@
 	@echo `which $(EMACS)`
 	@$(EMACS) --version
 
-batch-emacs := $(EMACS) --batch -Q -L . --eval '(package-initialize)'
+batch-emacs := \
+  $(EMACS) --batch -Q -L . \
+  --eval '(setq package-user-dir "$(EMACS_PACKAGES)")' \
+  --eval '(package-initialize)'
 
 byte-compile := \
   $(batch-emacs) \
@@ -61,10 +66,16 @@
       --eval '(setq racket-program "$(RACKET)")' \
       -f ert-run-tests-batch-and-exit
 
+# Files to test using `raco test -x`.
+test-x-rkt-files := $(wildcard ./racket/*.rkt) $(wildcard ./racket/commands/*.rkt)
+# Exclude hash-lang.rkt because it will fail to eval on older Rackets;
+# normally we only dynamic-require it. Furthermore its tests are in
+# ./test/racket/hash-lang-test.rkt.
+test-x-rkt-files := $(filter-out ./racket/hash-lang.rkt, $(test-x-rkt-files))
+
 test-racket:
+	$(RACKET) -l raco test -x $(test-x-rkt-files)
 	$(RACKET) -l raco test ./test/racket/
-	$(RACKET) -l raco test -x ./racket/*.rkt
-	$(RACKET) -l raco test -x ./racket/commands/*.rkt
 
 test-slow:
 	$(RACKET) -l raco test --submodule slow-test ./racket/imports.rkt

=== doc/Makefile ===
.PHONY: doc docs images clean deploy

doc: images racket-mode.info racket-mode.html

docs: doc

clean:
	-rm scenario*.png
	-rm scenario*.svg
	-rm reference.org
	-rm racket-mode.info
	-rm racket-mode.html

images:
	racket arch-pict.rkt

reference.org: generate.el
	emacs --batch -Q --eval '(progn (add-to-list (quote load-path) "${PWD}/../") (package-initialize))' -l generate.el --funcall 'racket-generate-reference.org'

racket-mode.texi: racket-mode.org reference.org
	emacs --batch -Q -l ox-texinfo racket-mode.org --eval "(setq indent-tabs-mode nil make-backup-files nil org-src-preserve-indentation t)" --funcall org-texinfo-export-to-texinfo

racket-mode.info: racket-mode.texi
	makeinfo --no-split $< -o $@

racket-mode.html: racket-mode.texi
	makeinfo --html --no-split --no-headers --no-number-sections --css-ref='racket-mode.css' $<


######################################################################
# S3 bucket deploy

aws  := aws --profile greg
dest := s3://www.racket-mode.com
cfid := E1OG6O4MCHIO1Q

.PHONY: deploy

deploy: racket-mode.html racket-mode.css images
	$(aws) s3 cp racket-mode.html $(dest)/index.html
	$(aws) s3 cp racket-mode.css  $(dest)/racket-mode.css
	$(aws) s3 cp scenario-0.svg   $(dest)/scenario-0.svg
	$(aws) s3 cp scenario-1.svg   $(dest)/scenario-1.svg
	$(aws) s3 cp scenario-2.svg   $(dest)/scenario-2.svg
	$(aws) s3 cp scenario-3.svg   $(dest)/scenario-3.svg
	$(aws) s3 cp scenario-4.svg   $(dest)/scenario-4.svg
	$(aws) cloudfront create-invalidation --distribution-id $(cfid) --paths "/*" > /dev/null

=== debian/changelog ===
racket-mode (20240129git0-2) unstable; urgency=medium

  * Expect test "racket-tests/expand-expression" to pass on racket 8.10
    (for autopkgtests).

 -- David Bremner <bremner@debian.org>  Thu, 29 Feb 2024 08:47:30 -0400

racket-mode (20240129git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Improved macro hiding in expander (github issue 697)

 -- David Bremner <bremner@debian.org>  Mon, 29 Jan 2024 06:28:11 -0400

racket-mode (20231222git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Includes support for M-x racket-hash-lang-mode

 -- David Bremner <bremner@debian.org>  Fri, 22 Dec 2023 16:19:54 -0800

## racket-mode 20240301git0

=== debian/changelog ===
racket-mode (20240301git0-2) experimental; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:40:29 +0900

racket-mode (20240301git0-1) experimental; urgency=medium

  * Update to new upstream version 20240301git0.
  * Drop patch for racket-tests/expand-expression, now upstream.
  * Install all top level elisp files
  * Use upstream generated racket-mode-pkg.el. This will generate an "elpa
    version" of 1; hopefully this does not break anything.

 -- David Bremner <bremner@debian.org>  Mon, 04 Mar 2024 09:34:48 -0400

=== debian/control ===
Source: racket-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-elpa (>= 2.0)
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode.git
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0), elpa-pos-tip
Enhances: emacs
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.

## racket-mode 20250103~git.f2645aa

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,6 @@
 # default on PATH. e.g. `EMACS=/path/to/emacs make`.
 EMACS ?= emacs
 RACKET ?= racket
-# Allow another locations for Emacs packages.
-EMACS_PACKAGES ?= ~/.emacs.d/elpa
 
 show-versions:
 	@echo `which $(RACKET)`
@@ -18,13 +16,13 @@
 
 batch-emacs := \
   $(EMACS) --batch -Q -L . \
-  --eval '(setq package-user-dir "$(EMACS_PACKAGES)")' \
+  --eval '(require (quote package))' \
   --eval '(package-initialize)'
 
 byte-compile := \
   $(batch-emacs) \
   -l bytecomp \
-  --eval '(setq byte-compile-warnings t)' \
+  --eval '(setq byte-compile-warnings (quote (not obsolete)))' \
   --eval '(setq byte-compile-error-on-warn t)' \
   -f batch-byte-compile
 
@@ -52,7 +50,7 @@
 deps:
 	$(batch-emacs) \
       --eval '(add-to-list (quote package-archives) (cons "melpa" "$(melpa-url)"))' \
-      --eval '(package-initialize)' \
+      --eval '(unless (fboundp (quote lisp-data-mode)) (defalias (quote lisp-data-mode) (quote emacs-lisp-mode)))' \
       --eval '(package-refresh-contents)' \
       --eval '(package-install (quote faceup))' \
       --eval '(package-install (quote paredit))'

=== debian/changelog ===
racket-mode (20250103~git.f2645aa-1) unstable; urgency=medium

  * Update to new upstream version 20250103~git.f2645aa.
  * Upload to unstable.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 12 Jan 2025 02:05:02 -0800

racket-mode (20241227~git.f4fe6dd-1) experimental; urgency=medium

  * Update to new upstream version 20241227~git.f4fe6dd.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 03 Jan 2025 03:25:25 -0800

racket-mode (20241217~git.3dc8c17-1) experimental; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 20241217~git.3dc8c17
  * Update d/watch scheme to include commit hash
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Use canonical URL in Vcs-Browser
  * Update standards version to 4.7.0, no changes needed
  * Drop oldoldstable emacs version in Recommends in d/control
  * Add "Rules-Requires-Root: no" to d/control
  * Update build-depends required for tests in d/control
  * Change section from lisp to editors in d/control
  * Set user-emacs-directory to a temp path required by tests in
    d/elpa-test
  * Enable elpa test in d/rules
  * Add Upstream-Contact in d/copyright
  * Update license from GPL-2+ to GPL-3+ as per upstream in d/copyright
    - Upstream updated the license from version 2 and later to version 3
      and later in 2022.
  * Add copyright clause for debian directory in d/copyright (Closes:
    #1091177)
    - Copyright holder is David Bremner based on history and granted by
      David.
    - Also add comments stating that the license of "debian/*" should
      follow upstream as granted by David.
    - Add David's email at Bug#1091177 as reference for clarification.
  * Add d/gbp.conf matching the current practice
  * Add d/README.Debian to document the dgit-maint-debrebase workflow
  * Add myself to Uploaders in d/control

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Dec 2024 13:27:38 +0000

=== debian/control ===
Source: racket-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends: debhelper-compat (= 13),
 dh-elpa (>= 2.0),
 elpa-faceup <!nocheck>,
 elpa-paredit <!nocheck>,
 elpa-pos-tip <!nocheck>,
 racket <!nocheck>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs, elpa-pos-tip
Enhances: emacs
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.

## racket-mode 20250205~git.d9e66c7

=== debian/changelog ===
racket-mode (20250205~git.d9e66c7-1) unstable; urgency=medium

  * Update to new upstream version 20250205~git.d9e66c7.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 08 Feb 2025 01:50:53 -0800

racket-mode (20250125~git.a3bcfd2-1) unstable; urgency=medium

  * Update to new upstream version 20250125~git.a3bcfd2.
  * Add d/salsa-ci.yml with default template
  * Add git <!nocheck> to Build-Depends in d/control
    - This is required for ERT running on Salsa CI.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 31 Jan 2025 13:23:03 -0800

racket-mode (20250122~git.142c36c-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 23 Jan 2025 23:29:45 -0800

racket-mode (20250122~git.142c36c-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250122~git.142c36c.
    - Upstream now properly detect headless build daemon environments and
      skip tests that are not applicable.
    - As we now also run test-racket, we have coverage on all available
      tests (Closes: #978709)
  * Drop all custom patches now that they are properly handled upstream

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 22 Jan 2025 10:41:56 -0800

racket-mode (20250115~git.9e6ea1f-1~exp4) experimental; urgency=medium

  * Skip tests skipped in CI mode when in Debian Buildd mode

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 20 Jan 2025 03:00:36 -0800

racket-mode (20250115~git.9e6ea1f-1~exp3) experimental; urgency=medium

  * Run both racket and racket-mode tests
    - Set HOME to a temporary directory which is required by the racket
      tests
    - Use the test-racket make target for racket tests
    - Run dh_elpa_test for ERT tests
  * Update Makefile to make it easier to exclude tests.
  * Skip scribble test: failing on Racket 8.14.
  * Skip hash-lang test: require display and not supported in sbuild.
  * Add d/ert-helper.el to skip tests
    - Skip racket-tests/repl which stuck until timeout.
  * Add myself to the debian/* clause in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 19 Jan 2025 21:24:07 -0800

racket-mode (20250115~git.9e6ea1f-1~exp2) experimental; urgency=medium

  * Introduce a new envvar to set a longer timeout for Debian buildds
  * Set DEBIAN_BUILDD to use longer timeout for slower architectures

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 18 Jan 2025 15:32:38 -0800

racket-mode (20250115~git.9e6ea1f-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250115~git.9e6ea1f.
  * Further increase command timeout to 15 minutes

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 16 Jan 2025 18:02:25 -0800

racket-mode (20250103~git.f2645aa-2~exp1) experimental; urgency=medium

  * Increase timeout of test in CI mode
    - In the previous upload 6 of the tests timed out on all archs except
      amd64 which might be the only arch that was fast enough to finish
      any operation within 60 seconds.
    - Test increasing timeout to 5 minutes.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 14 Jan 2025 20:29:16 -0800

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  elpa-faceup <!nocheck>,
  elpa-paredit <!nocheck>,
  elpa-pos-tip <!nocheck>,
+ git <!nocheck>,
  racket <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 	dh $@ --with elpa
 
 override_dh_elpa_test:
-	@echo tests disabled at build time
+	mkdir -p /tmp/emacs-home
+	HOME=/tmp/emacs-home make test-racket
+	dh_elpa_test

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd~git.%h" \
    https://github.com/greghendershott/racket-mode \
    HEAD debian

## racket-mode 20250324~git.88d82e2

=== debian/changelog ===
racket-mode (20250324~git.88d82e2-1) unstable; urgency=medium

  * Update to new upstream version 20250324~git.88d82e2.

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 24 Mar 2025 14:33:55 -0700

racket-mode (20250321~git.f5098c6-3) unstable; urgency=medium

  * Skip autopkgtest on ppc64el and riscv64
    - Times out after 3 hours.

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 24 Mar 2025 02:12:29 -0700

racket-mode (20250321~git.f5098c6-2) unstable; urgency=medium

  * Only run ERT tests in autopkgtest
    - The racket tests run too slow on slow architectures and time out on
      buildds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 15:13:34 -0700

racket-mode (20250321~git.f5098c6-1) unstable; urgency=medium

  * Update to new upstream version 20250321~git.f5098c6.
  * Clean up doc after dh_clean instead of dh_auto_clean
  * Add d/tests/control for autopkgtest
    - Perform all recommended tests in autopkgtest including `make
      test-racket' and ERT tests.
    - Skip autopkgtest on armel as it still uses racket BC.
    - Drop "Testsuite: autopkgtest-pkg-elpa" in d/control.
  * Use a longer timeout for Debian buildd environments
    - 900 seconds is still not long enough for some slower architectures.
    - Increase to 1800 seconds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 03:23:21 -0700

racket-mode (20250312~git.cf92277-1) unstable; urgency=medium

  * Update to new upstream version 20250312~git.cf92277.
    - Improve UX for back end startup failures.
  * Use extend-diff-ignore in d/s/options to avoid extraneous diffs during
    building
    - Drop save/restore handling in d/rules in favor of d/s/options.
    - This simplifies the handling of doc/racket-mode.texi diffs generated
      during building that causes source changes and fails
      build-twice-in-a-row.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 14:25:00 -0700

racket-mode (20250212~git.eef5e9a-1) unstable; urgency=medium

  * Update to new upstream version 20250212~git.eef5e9a.
  * Mark elpa-racket-mode-doc as "Multi-Arch: foreign"
  * Update Standards-Version to 4.7.2; no change needed
  * Save and restore doc/racket-mode.texi to fix build-twice-in-a-row

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 23:16:50 -0800

racket-mode (20250205~git.d9e66c7-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Mar 2025 17:49:55 +0800

racket-mode (20250205~git.d9e66c7-2~exp2) experimental; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * Add elpa-racket-mode-doc package for racket-mode docs
    - Enable building docs in d/rules
    - Rename d/elpa -> d/elpa-racket-mode.elpa
    - Add elpa-racket-mode-doc section in d/control
      + Also capitalize Emacs.
    - Suggests elpa-racket-mode-doc in elpa-racket-mode in d/control
    - Add packages required for building docs to B-D in d/control
      + Also remove <!nocheck> for racket as it's also required for
        building docs.
    - Add d/elpa-racket-mode-doc.docs for documentations
    - Add d/elpa-racket-mode-doc.info for info pages and linked images
    - Skip compressing svg files referenced in info pages
    - Add lintian-overrides for info page figures
    - Add d/elpa-racket-mode-doc.doc-base registry
  * Enable all tests
    - racket-tests/repl has been fixed upstream.

  [ Sean Whitton ]
  * Replace build-dep elpa-faceup -> Emacs 30.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 18:38:07 +0800

## racket-mode 20250501~git.2eec63c

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY : help show-versions clean compile deps test test-elisp test-racket test-slow
+.PHONY : help show-versions clean compile deps minimal-racket-deps test test-elisp test-racket test-racket-submod test-racket-plain test-racket-slow
 
 help:
 	@echo "Targets: show-versions, clean, compile, deps, test, test-elisp, test-racket, test-slow"
@@ -13,6 +13,11 @@
 	@$(RACKET) --version
 	@echo `which $(EMACS)`
 	@$(EMACS) --version
+
+test: test-racket test-elisp
+
+######################################################################
+# Emacs
 
 batch-emacs := \
   $(EMACS) --batch -Q -L . \
@@ -55,8 +60,6 @@
       --eval '(package-install (quote faceup))' \
       --eval '(package-install (quote paredit))'
 
-test: test-racket test-elisp
-
 test-elisp:
 	$(batch-emacs) \
       -l ert \
@@ -64,17 +67,37 @@
       --eval '(setq racket-program "$(RACKET)")' \
       -f ert-run-tests-batch-and-exit
 
-# Files to test using `raco test -x`.
-test-x-rkt-files := $(wildcard ./racket/*.rkt) $(wildcard ./racket/commands/*.rkt)
-# Exclude hash-lang.rkt because it will fail to eval on older Rackets;
-# normally we only dynamic-require it. Furthermore its tests are in
-# ./test/racket/hash-lang-test.rkt.
-test-x-rkt-files := $(filter-out ./racket/hash-lang.rkt, $(test-x-rkt-files))
+######################################################################
+# Racket
 
-test-racket:
-	$(RACKET) -l raco test -x $(test-x-rkt-files)
+# This target is for a CI configuration using the Minimal Racket
+# distribution. In that case we need some additional Racket packages
+# from the main distribution -- as described in our end user docs at
+# <https://www.racket-mode.com/#Minimal-Racket>.
+minimal-racket-deps:
+	$(RACKET) -l raco pkg install --auto \
+      data-lib errortrace-lib macro-debugger-text-lib rackunit-lib \
+      racket-index scribble-lib drracket-tool-text-lib
+
+test-racket: test-racket-submod test-racket-plain
+
+# Most tests exist inside `test` submodules of ordinary source files.
+#
+# Exclude racket/hash-lang.rkt because it fails to eval on older
+# Rackets. Normally we only dynamic-require it. Furthermore its tests
+# are in ./test/racket/hash-lang-test.rkt.
+test-racket-submod:
+	$(RACKET) -l raco test --submodule test --no-run-if-absent \
+      $(filter-out ./racket/hash-lang.rkt, $(wildcard ./racket/*.rkt)) \
+      $(wildcard ./racket/commands/*.rkt)
+
+# Plus we do have some files in a special directory that consist of
+# tests in the file's root module.
+test-racket-plain:
 	$(RACKET) -l raco test ./test/racket/
 
-test-slow:
+# Some very slow tests segregated in `slow-test` submodules so that
+# they're not run by default.
+test-racket-slow:
 	$(RACKET) -l raco test --submodule slow-test ./racket/imports.rkt
 	$(RACKET) -l raco test --submodule slow-test ./racket/commands/check-syntax.rkt

=== debian/changelog ===
racket-mode (20250501~git.2eec63c-1ubuntu1) questing; urgency=medium

  * d/control: change Build-Depends to use libjpeg-dev instead of
    libjpeg62-turbo-dev (LP: #2117522).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Sun, 20 Jul 2025 17:09:54 -0700

racket-mode (20250501~git.2eec63c-1) unstable; urgency=medium

  * Update to new upstream version 20250501~git.2eec63c.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 02 May 2025 00:11:19 -0700

racket-mode (20250425~git.e20a544-1) unstable; urgency=medium

  * Update to new upstream version 20250425~git.e20a544.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 27 Apr 2025 23:40:03 -0700

racket-mode (20250421~git.b8ff3bd-1) unstable; urgency=medium

  * Update to new upstream version 20250421~git.b8ff3bd.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 22 Apr 2025 23:40:57 -0700

=== debian/control ===
Source: racket-mode
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends: debhelper-compat (= 13),
 dh-elpa (>= 2.0),
 emacs (>= 1:30.1) <!nocheck>,
 elpa-paredit <!nocheck>,
 elpa-pos-tip <!nocheck>,
 git <!nocheck>,
 libcairo2-dev,
 libfontconfig-dev,
 libjpeg-dev,
 libpango1.0-dev,
 racket,
 texinfo,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
Homepage: https://github.com/greghendershott/racket-mode
Rules-Requires-Root: no

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs, elpa-pos-tip
Enhances: emacs
Suggests: elpa-racket-mode-doc
Description: Emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.

Package: elpa-racket-mode-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Emacs support for editing and running racket code - documentation
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.
 .
 This package contains the info and HTML documentation.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,16 @@
 %:
 	dh $@ --with elpa
 
+execute_after_dh_clean:
+	cd doc && make clean
+
+execute_after_dh_auto_build:
+	cd doc && make docs
+
 override_dh_elpa_test:
 	mkdir -p /tmp/emacs-home
 	HOME=/tmp/emacs-home make test-racket
 	dh_elpa_test
+
+override_dh_compress:
+	dh_compress -Xusr/share/info/scenario-

=== debian/tests/control ===
Test-Command: dh_elpa_test --autopkgtest
Depends: @, @builddeps@
# Skip testing on:
#  armel: it still uses racket BC
#  ppc64el, riscv64: autopkgtest times out after 3 hours
Architecture: !armel !ppc64el !riscv64

## racket-mode 20250711~git.8a80578

=== debian/changelog ===
racket-mode (20250711~git.8a80578-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 20250711~git.8a80578.

  [ Ural Tunaboyu ]
  * d/control: change Build-Depends to use libjpeg-dev instead of
    libjpeg62-turbo-dev.
     - Ubuntu does not have libjpeg62-turbo-dev but instead uses
       libjpeg-turbo8-dev to provide the libjpeg-dev virtual package. Use
       the more general package to avoid build failures.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 14 Aug 2025 23:23:22 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: racket-mode
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),

## racket-mode 20250828~git.172b7d4

=== debian/changelog ===
racket-mode (20250828~git.172b7d4-1) unstable; urgency=medium

  * Update to new upstream version 20250828~git.172b7d4.
  * Migrate d/watch to rfc822-style version 5 foramt
  * Drop custom autopkgtest handling
    - The intension was to skip architectures that fails the tests, but
      that didn't work for arch:all package, so there is no advantage over
      autopkgtest-pkg-elpa at all.
    - Re-enable autopkgtest-pkg-elpa in d/control.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 31 Aug 2025 00:14:57 -0700

## racket-mode 20250830~git.f3952cd

=== debian/changelog ===
racket-mode (20250830~git.f3952cd-1) unstable; urgency=medium

  * Update to new upstream version 20250830~git.f3952cd.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 11 Sep 2025 00:06:56 -0700

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
 Homepage: https://github.com/greghendershott/racket-mode
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-racket-mode
 Architecture: all

## racket-mode 20251013~git.b9a4f51

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,7 @@
       --eval '(add-to-list (quote package-archives) (cons "melpa" "$(melpa-url)"))' \
       --eval '(unless (fboundp (quote lisp-data-mode)) (defalias (quote lisp-data-mode) (quote emacs-lisp-mode)))' \
       --eval '(package-refresh-contents)' \
+      --eval '(package-install (quote compat))' \
       --eval '(package-install (quote faceup))' \
       --eval '(package-install (quote paredit))'

=== doc/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	makeinfo --no-split $< -o $@
 
 racket-mode.html: racket-mode.texi
-	makeinfo --html --no-split --no-headers --no-number-sections --css-ref='racket-mode.css' $<
+	makeinfo --html --no-split --no-headers --no-number-sections --set-customization-variable DOCTYPE="<!doctype html>" --css-ref='racket-mode.css' $<
 
 
 ######################################################################

=== debian/changelog ===
racket-mode (20251013~git.b9a4f51-1) unstable; urgency=medium

  * Update to new upstream version 20251013~git.b9a4f51.
  * Drop "Rules-Requires-Root: no"
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 17 Oct 2025 00:52:15 -0700

## racket-mode 20251020~git.143d453

=== debian/changelog ===
racket-mode (20251020~git.143d453-1) unstable; urgency=medium

  * Update to new upstream version 20251020~git.143d453.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 25 Oct 2025 20:01:34 -0700

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
 Homepage: https://github.com/greghendershott/racket-mode
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-racket-mode

## racket-mode 20251029~git.b74e6d3

=== debian/changelog ===
racket-mode (20251029~git.b74e6d3-1) unstable; urgency=medium

  * Update to new upstream version 20251029~git.b74e6d3.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 01 Nov 2025 15:48:28 -0700

## racket-mode 20251107~git.d98852e

=== debian/changelog ===
racket-mode (20251107~git.d98852e-1) unstable; urgency=medium

  * Update to new upstream version 20251107~git.d98852e.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Nov 2025 20:25:33 -0800

=== debian/watch ===
Version: 5

Source: https://github.com/greghendershott/racket-mode
Matching-Pattern: HEAD
Mode: git
Pgp-Mode: none
Pretty: %cd~git.%h

## racket-mode 20251220~git.577af47

=== debian/changelog ===
racket-mode (20251220~git.577af47-1) unstable; urgency=medium

  * Update to new upstream version 20251220~git.577af47.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 26 Dec 2025 15:45:36 -0800

## racket-mode 20260106~git.150b057

=== debian/changelog ===
racket-mode (20260106~git.150b057-1) unstable; urgency=medium

  * Update to new upstream version 20260106~git.150b057.
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 08 Jan 2026 01:57:19 -0800

## racket-mode 20260117~git.71f27c6

=== Makefile ===
--- 
+++ 
@@ -57,9 +57,9 @@
       --eval '(add-to-list (quote package-archives) (cons "melpa" "$(melpa-url)"))' \
       --eval '(unless (fboundp (quote lisp-data-mode)) (defalias (quote lisp-data-mode) (quote emacs-lisp-mode)))' \
       --eval '(package-refresh-contents)' \
-      --eval '(package-install (quote compat))' \
-      --eval '(package-install (quote faceup))' \
-      --eval '(package-install (quote paredit))'
+      --eval '(unless (package-installed-p (quote compat)) (package-install (quote compat)))' \
+      --eval '(unless (package-installed-p (quote faceup)) (package-install (quote faceup)))' \
+      --eval '(unless (package-installed-p (quote paredit)) (package-install (quote paredit)))'
 
 test-elisp:
 	$(batch-emacs) \

=== debian/changelog ===
racket-mode (20260117~git.71f27c6-1) unstable; urgency=medium

  * Update to new upstream version 20260117~git.71f27c6.
  * Update my Debian copyright year

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 20 Jan 2026 16:44:24 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: racket-mode
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
@@ -16,7 +15,7 @@
  libpango1.0-dev,
  racket,
  texinfo,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
 Homepage: https://github.com/greghendershott/racket-mode
